# Method: chromeosdevices.list

Retrieves a paginated list of Chrome OS devices within an account.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. Value should not exceed 300. |
| `orderBy` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices/list#OrderBy`)`` Device property to use for sorting results. |
| `orgUnitPath` | `string` The full path of the organizational unit (minus the leading `/`) or its unique ID. |
| `pageToken` | `string` The `pageToken` query parameter is used to request the next page of query results. The follow-on request's `pageToken` query parameter is the `nextPageToken` from your previous response. |
| `projection` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices/list#Projection`)`` Determines whether the response contains the full list of properties or only a subset. |
| `query` | `string` Search string in the format given at [chromeosdevices.list query operators](https://developers.google.com/workspace/admin/directory/v1/list-query-operators). |
| `sortOrder` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices/list#SortOrder`)`` Whether to return results in ascending or descending order. Must be used with the `orderBy` parameter. |
| `includeChildOrgunits` | `boolean` Return devices from all child orgunits, as well as the specified org unit. If this is set to true, 'orgUnitPath' must be provided. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "chromeosdevices": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices#ChromeOsDevice`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `chromeosdevices[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices#ChromeOsDevice`)`` A list of Chrome OS Device objects. |
| `nextPageToken` | `string` Token used to access the next page of this result. To access the next page, use this token's value in the `pageToken` query string of this request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.chromeos`
- `
  https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## OrderBy

| Enums ||
|---|---|
| `ANNOTATED_LOCATION` | Chrome device location as annotated by the administrator. |
| `ANNOTATED_USER` | Chromebook user as annotated by administrator. |
| `LAST_SYNC` | The date and time the Chrome device was last synchronized with the policy settings in the Admin console. |
| `NOTES` | Chrome device notes as annotated by the administrator. |
| `SERIAL_NUMBER` | The Chrome device serial number entered when the device was enabled. |
| `STATUS` | Chrome device status. For more information, see the \<a [chromeosdevices](https://developers.google.com/workspace/admin/directory/v1/reference/chromeosdevices.html). |

## Projection

The type of projection to show for the devices.

| Enums ||
|---|---|
| `BASIC` | Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user) |
| `FULL` | Includes all metadata fields |

## SortOrder

The sorting order that should be applied to the device list.

| Enums ||
|---|---|
| `ASCENDING` | Ascending order. |
| `DESCENDING` | Descending order. |